Bug 1625561 - Review Request: phan - A static analyzer for PHP
Summary: Review Request: phan - A static analyzer for PHP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1625552 1625558
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-05 08:47 UTC by Remi Collet
Modified: 2018-09-21 05:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-20 11:16:40 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2018-09-05 08:47:21 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/phan.git/plain/phan.spec?id=6cda4f415274c514f9b6d3afdece15f929dbe9c1
SRPM URL: http://rpms.remirepo.net/SRPMS/phan-1.0.1-1.fedora.src.rpm
Description:
Phan is a static analyzer that looks for common issues and will verify type
compatibility on various operations when type information is available or can
be deduced. Phan does not make any serious attempt to understand flow control
and narrow types based on conditionals.


Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2018-09-05 16:34:49 UTC
phan.noarch: E: wrong-script-interpreter /usr/bin/phan-client /usr/bin/env php
phan.noarch: E: wrong-script-interpreter /usr/share/php/Phan/phan.php /usr/bin/env php
phan.noarch: E: wrong-script-interpreter /usr/share/php/Phan/prep.php /usr/bin/env php
phan.noarch: E: non-executable-script /usr/share/php/Phan/prep.php 644 /usr/bin/env php

→ don't use /usr/bin/env but /usr/bin/php



Package otherwise approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "ISC", "Unknown or generated", "BSD (3
     clause)". 1883 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/phan/review-
     phan/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 133120 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: phan-1.0.1-1.fc30.noarch.rpm
          phan-1.0.1-1.fc30.src.rpm
phan.noarch: E: wrong-script-interpreter /usr/bin/phan-client /usr/bin/env php
phan.noarch: E: wrong-script-interpreter /usr/share/php/Phan/phan.php /usr/bin/env php
phan.noarch: E: wrong-script-interpreter /usr/share/php/Phan/prep.php /usr/bin/env php
phan.noarch: E: non-executable-script /usr/share/php/Phan/prep.php 644 /usr/bin/env php
phan.noarch: W: no-manual-page-for-binary phan
phan.noarch: W: no-manual-page-for-binary phan-client
2 packages and 0 specfiles checked; 4 errors, 2 warnings.

Comment 3 Igor Gnatenko 2018-09-06 06:26:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/phan

Comment 4 Fedora Update System 2018-09-06 07:28:10 UTC
phan-1.0.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-86a7e15fac

Comment 5 Fedora Update System 2018-09-06 07:28:16 UTC
phan-1.0.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f01ad541d9

Comment 6 Fedora Update System 2018-09-07 06:00:49 UTC
phan-1.0.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f01ad541d9

Comment 7 Fedora Update System 2018-09-07 06:34:10 UTC
phan-1.0.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f01ad541d9

Comment 8 Fedora Update System 2018-09-07 17:11:00 UTC
phan-1.0.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-86a7e15fac

Comment 9 Fedora Update System 2018-09-07 22:49:10 UTC
phan-1.0.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f01ad541d9

Comment 10 Fedora Update System 2018-09-08 06:21:47 UTC
phan-1.0.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-86a7e15fac

Comment 11 Fedora Update System 2018-09-08 06:22:02 UTC
phan-1.0.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f01ad541d9

Comment 12 Fedora Update System 2018-09-08 16:11:35 UTC
phan-1.0.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f01ad541d9

Comment 13 Fedora Update System 2018-09-09 09:19:29 UTC
phan-1.0.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-86a7e15fac

Comment 14 Fedora Update System 2018-09-10 14:11:49 UTC
phan-1.0.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-86a7e15fac

Comment 15 Fedora Update System 2018-09-10 14:12:00 UTC
phan-1.0.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f01ad541d9

Comment 16 Fedora Update System 2018-09-11 06:13:21 UTC
phan-1.0.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f01ad541d9

Comment 17 Fedora Update System 2018-09-11 18:10:33 UTC
phan-1.0.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-86a7e15fac

Comment 18 Fedora Update System 2018-09-20 11:16:40 UTC
phan-1.0.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-09-20 14:08:40 UTC
phan-1.0.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-09-21 05:29:04 UTC
phan-1.0.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.